### Class

# FwupdPlugin SecurityAttrs

#### Description [src]

    final class FwupdPlugin.SecurityAttrs : GObject.Object
      implements Fwupd.Codec {
      /* No available fields */
    }

A set of Host Security ID attributes that represents the system state.

#### Ancestors

- GObject

#### Implements

- FwupdCodec

#### Constructors

###### fu_security_attrs_new

No description available.

since: 1.5.0

#### Instance methods

###### fu_security_attrs_append

Adds a `FwupdSecurityAttr` to the array.

since: 1.5.0

###### fu_security_attrs_append_internal

Adds a `FwupdSecurityAttr` to the array with no sanity checks.

since: 1.7.1

###### fu_security_attrs_calculate_hsi

Calculates the HSI string from the appended attributes.

since: 2.0.7

###### fu_security_attrs_compare

Compares the two objects, returning the differences.

since: 1.9.2

###### fu_security_attrs_depsolve

Marks any attributes with `FWUPD_SECURITY_ATTR_FLAG_OBSOLETED` that have been defined as obsoleted by other attributes.

since: 1.5.0

###### fu_security_attrs_equal

Tests the objects for equality. Only the AppStream ID results are compared, extra metadata is ignored.

since: 1.9.2

###### fu_security_attrs_get_all

Gets all the non-obsoleted attributes in the object.

since: 1.5.0

###### fu_security_attrs_get_all_mutable

No description available.

###### fu_security_attrs_get_by_appstream_id

Gets a specific `FwupdSecurityAttr` from the array.

since: 1.9.6

###### fu_security_attrs_is_valid

Adds a `FwupdSecurityAttr` to the array with no sanity checks.

since: 2.0.7

###### fu_security_attrs_remove_all

Removes all the attributes in the object.

since: 1.5.0

###### fu_security_attrs_to_variant

Serializes the `FwupdSecurityAttr` objects.

since: 1.5.0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from FwupdCodec (8)

###### fwupd_codec_add_string

Converts an object that implements `FwupdCodec` to a debug string, appending it to `str`.

###### fwupd_codec_from_json

Converts an object that implements `FwupdCodec` from a JSON object.

###### fwupd_codec_from_json_string

Converts an object that implements `FwupdCodec` from a JSON string.

###### fwupd_codec_from_variant

Converts an object that implements `FwupdCodec` from a `GVariant` value.

###### fwupd_codec_to_json

Converts an object that implements `FwupdCodec` to a JSON builder object.

###### fwupd_codec_to_json_string

Converts an object that implements `FwupdCodec` to a JSON string.

###### fwupd_codec_to_string

Converts an object that implements `FwupdCodec` to a debug string.

###### fwupd_codec_to_variant

Converts an object that implements `FwupdCodec` to a `GVariant`.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginSecurityAttrsClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.